## apev2mux apev2mux |

## Types and Values

struct | GstApev2Mux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstTagMux
                        ╰── GstApev2Mux

## Implemented Interfaces

GstApev2Mux implements GstTagSetter.

## Description

This element adds APEv2 tags to the beginning of a stream using the taglib library.

Applications can set the tags to write using the GstTagSetter interface. Tags sent by upstream elements will be picked up automatically (and merged according to the merge mode set via the tag setter interface).

### Example pipelines

    1
    gst-launch-1.0 -v filesrc location=foo.ogg ! decodebin ! audioconvert ! lame ! apev2mux ! filesink location=foo.mp3

A pipeline that transcodes a file from Ogg/Vorbis to mp3 format with an APEv2 that contains the same as the the Ogg/Vorbis file. Make sure the Ogg/Vorbis file actually has comments to preserve.

    1
    gst-launch-1.0 -m filesrc location=foo.mp3 ! apedemux ! fakesink silent=TRUE 2> /dev/null | grep taglist

Verify that tags have been written.

## Synopsis

### Element Information

plugin | taglib
author | Sebastian Dröge <slomo@circular-chaos.org>
class | Formatter/Metadata

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | application/x-apetag

## Functions

## Types and Values

### struct GstApev2Mux

    struct GstApev2Mux;

## See Also

GstTagSetter